env: ruby18: Permission denied

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

env: ruby18: Permission denied

David Bourguignon
Hi all,

since a few days, my textmate2 commands using ruby won’t start and just yield an error :

env: ruby18: Permission denied


I can’t recall any major change in my system recently.

Has anyone an idea?

David Bourguignon


_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: env: ruby18: Permission denied

Martin Kühl-3
On 7 March 2017 at 16:14, David Bourguignon <[hidden email]> wrote:
> since a few days, my textmate2 commands using ruby won’t start and just
> yield an error :
>
> env: ruby18: Permission denied
>
>
> I can’t recall any major change in my system recently.
>
> Has anyone an idea?

I think ruby18 is installed as part of the Bundle Support bundle, have
you maybe done something with that?

From inside TextMate,
⌃R on a line «which ruby18» should tell you where it finds ruby18,
and ⌃R on a line «chmod a+x `which ruby18`» should fix the issue
(or tell you why it can’t)

HTH,
Martin

_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: env: ruby18: Permission denied

David Bourguignon
That’s a good idea

well… there is no ruby18
the which give me a 1 error (but it works with just ruby for instance)

I searched (with 'mdfind -name ruby18' and a 'find /Applications/TextMate.app -name "ruby18"')

And I don’t find a ruby18 binary

I can’t remember having touched to textmate internal (at least voluntarily)


Maybe there is a way to reinstall this?

On 7 mars 2017 à 16:50 +0100, Martin Kühl <[hidden email]>, wrote:
On 7 March 2017 at 16:14, David Bourguignon <[hidden email]> wrote:
since a few days, my textmate2 commands using ruby won’t start and just
yield an error :

env: ruby18: Permission denied


I can’t recall any major change in my system recently.

Has anyone an idea?

I think ruby18 is installed as part of the Bundle Support bundle, have
you maybe done something with that?

From inside TextMate,
⌃R on a line «which ruby18» should tell you where it finds ruby18,
and ⌃R on a line «chmod a+x `which ruby18`» should fix the issue
(or tell you why it can’t)

HTH,
Martin

_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate


_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: env: ruby18: Permission denied

Martin Kühl-3
On 7 March 2017 at 17:15, David Bourguignon <[hidden email]> wrote:
> That’s a good idea
>
> well… there is no ruby18
> the which give me a 1 error (but it works with just ruby for instance)

Interesting.

> I searched (with 'mdfind -name ruby18' and a 'find
> /Applications/TextMate.app -name "ruby18"')
>
> And I don’t find a ruby18 binary

It’s in the «Bundle Support» bundle, so somewhere inside
~/Library/Application Support/TextMate.
And `env` finds it, otherwise it would print a different message, so
it’s got to be somewhere :-)

> I can’t remember having touched to textmate internal (at least voluntarily)
>
>
> Maybe there is a way to reinstall this?

Well, there’s this:
https://github.com/textmate/textmate/wiki/Reverting-To-Defaults
It may be too broad for this case, but if you can’t find the ruby18
executable it might be worth a shot.
You *could* try deleting just the Bundle Support bundle (while TM is
not running), but I have no idea if that would work…

> On 7 mars 2017 à 16:50 +0100, Martin Kühl <[hidden email]>, wrote:
>
> On 7 March 2017 at 16:14, David Bourguignon <[hidden email]>
> wrote:
>
> since a few days, my textmate2 commands using ruby won’t start and just
> yield an error :
>
> env: ruby18: Permission denied
>
>
> I can’t recall any major change in my system recently.
>
> Has anyone an idea?
>
>
> I think ruby18 is installed as part of the Bundle Support bundle, have
> you maybe done something with that?
>
> From inside TextMate,
> ⌃R on a line «which ruby18» should tell you where it finds ruby18,
> and ⌃R on a line «chmod a+x `which ruby18`» should fix the issue
> (or tell you why it can’t)
>
> HTH,
> Martin
>
> _______________________________________________
> textmate mailing list
> [hidden email]
> http://lists.macromates.com/listinfo/textmate
>
>
>
> _______________________________________________
> textmate mailing list
> [hidden email]
> http://lists.macromates.com/listinfo/textmate

_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: env: ruby18: Permission denied

David Bourguignon

I tried find ~/Library/Application\ Support/TextMate -name "ruby18"
but nothing

I finished by executing first 2 steps of the https://github.com/textmate/textmate/wiki/Reverting-To-Defaults page

rm -rf ~/Library/Application Support/TextMate
rm ~/Library/Caches/com.macromates.TextMate/BundlesIndex.binary

And now it’s back to normal (and I have a ruby 18 in Application Support/TextMate)

Thanks for your help



On 7 mars 2017 à 19:24 +0100, Martin Kühl <[hidden email]>, wrote:
On 7 March 2017 at 17:15, David Bourguignon <[hidden email]> wrote:
That’s a good idea

well… there is no ruby18
the which give me a 1 error (but it works with just ruby for instance)

Interesting.

I searched (with 'mdfind -name ruby18' and a 'find
/Applications/TextMate.app -name "ruby18"')

And I don’t find a ruby18 binary

It’s in the «Bundle Support» bundle, so somewhere inside
~/Library/Application Support/TextMate.
And `env` finds it, otherwise it would print a different message, so
it’s got to be somewhere :-)

I can’t remember having touched to textmate internal (at least voluntarily)


Maybe there is a way to reinstall this?

Well, there’s this:
https://github.com/textmate/textmate/wiki/Reverting-To-Defaults
It may be too broad for this case, but if you can’t find the ruby18
executable it might be worth a shot.
You *could* try deleting just the Bundle Support bundle (while TM is
not running), but I have no idea if that would work…

On 7 mars 2017 à 16:50 +0100, Martin Kühl <[hidden email]>, wrote:

On 7 March 2017 at 16:14, David Bourguignon <[hidden email]
wrote:

since a few days, my textmate2 commands using ruby won’t start and just
yield an error :

env: ruby18: Permission denied


I can’t recall any major change in my system recently.

Has anyone an idea?


I think ruby18 is installed as part of the Bundle Support bundle, have
you maybe done something with that?

From inside TextMate,
⌃R on a line «which ruby18» should tell you where it finds ruby18,
and ⌃R on a line «chmod a+x `which ruby18`» should fix the issue
(or tell you why it can’t)

HTH,
Martin

_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate



_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate

_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate


_______________________________________________
textmate mailing list
[hidden email]
http://lists.macromates.com/listinfo/textmate
Loading...